=== debian/changelog ===
linux-restricted-modules-hwe-6.14 (6.14.0-28.28~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-28.28~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 25 Jul 2025 10:59:30 +0200
