=== debian/changelog ===
linux-restricted-modules-hwe-6.14 (6.14.0-29.29~24.04.1) noble; urgency=medium

  * Main version: 6.14.0-29.29~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 14 Aug 2025 17:08:02 +0200
