=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  curl,
  dkms,
  gawk,
- linux-headers-6.14.0-28-generic (>= 6.14.0-28.28~24.04.1) [amd64 arm64],
- linux-headers-6.14.0-28-generic-64k (>= 6.14.0-28.28~24.04.1) [arm64],
+ linux-headers-6.14.0-29-generic (>= 6.14.0-29.29~24.04.1) [amd64 arm64],
+ linux-headers-6.14.0-29-generic-64k (>= 6.14.0-29.29~24.04.1) [arm64],
  lsb-release,
  python3,
  python3-apt,
@@ -34,7 +34,7 @@
 Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-535},
 Description: Extra drivers for nvidia-535 for the generic-6.14 flavour
  Install extra signed nvidia-535 modules compatible with the generic-6.14 flavour.
@@ -46,7 +46,7 @@
 Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-open-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-open-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-535-open},
 Description: Extra drivers for nvidia-535-open for the generic-6.14 flavour
  Install extra signed nvidia-535-open modules compatible with the generic-6.14 flavour.
@@ -58,7 +58,7 @@
 Provides: ${dkms:nvidia-550-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-550-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-550},
 Description: Extra drivers for nvidia-550 for the generic-6.14 flavour
  Install extra signed nvidia-550 modules compatible with the generic-6.14 flavour.
@@ -70,7 +70,7 @@
 Provides: ${dkms:nvidia-550-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-open-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-550-open-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-550-open},
 Description: Extra drivers for nvidia-550-open for the generic-6.14 flavour
  Install extra signed nvidia-550-open modules compatible with the generic-6.14 flavour.
@@ -82,7 +82,7 @@
 Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-570-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-570},
 Description: Extra drivers for nvidia-570 for the generic-6.14 flavour
  Install extra signed nvidia-570 modules compatible with the generic-6.14 flavour.
@@ -94,7 +94,7 @@
 Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-open-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-570-open-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-570-open},
 Description: Extra drivers for nvidia-570-open for the generic-6.14 flavour
  Install extra signed nvidia-570-open modules compatible with the generic-6.14 flavour.
@@ -106,7 +106,7 @@
 Provides: ${dkms:nvidia-575-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-575-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-575-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-575},
 Description: Extra drivers for nvidia-575 for the generic-6.14 flavour
  Install extra signed nvidia-575 modules compatible with the generic-6.14 flavour.
@@ -118,7 +118,7 @@
 Provides: ${dkms:nvidia-575-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-575-open-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-575-open-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-575-open},
 Description: Extra drivers for nvidia-575-open for the generic-6.14 flavour
  Install extra signed nvidia-575-open modules compatible with the generic-6.14 flavour.
@@ -130,7 +130,7 @@
 Provides: ${dkms:nvidia-535-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-server-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-server-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-535-server},
 Description: Extra drivers for nvidia-535-server for the generic-6.14 flavour
  Install extra signed nvidia-535-server modules compatible with the generic-6.14 flavour.
@@ -142,7 +142,7 @@
 Provides: ${dkms:nvidia-535-server-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-server-open-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-server-open-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-535-server-open},
 Description: Extra drivers for nvidia-535-server-open for the generic-6.14 flavour
  Install extra signed nvidia-535-server-open modules compatible with the generic-6.14 flavour.
@@ -154,7 +154,7 @@
 Provides: ${dkms:nvidia-570-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-server-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-570-server-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-570-server},
 Description: Extra drivers for nvidia-570-server for the generic-6.14 flavour
  Install extra signed nvidia-570-server modules compatible with the generic-6.14 flavour.
@@ -166,7 +166,7 @@
 Provides: ${dkms:nvidia-570-server-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-server-open-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-570-server-open-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-570-server-open},
 Description: Extra drivers for nvidia-570-server-open for the generic-6.14 flavour
  Install extra signed nvidia-570-server-open modules compatible with the generic-6.14 flavour.
@@ -178,7 +178,7 @@
 Provides: ${dkms:nvidia-575-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-575-server-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-575-server-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-575-server},
 Description: Extra drivers for nvidia-575-server for the generic-6.14 flavour
  Install extra signed nvidia-575-server modules compatible with the generic-6.14 flavour.
@@ -190,7 +190,7 @@
 Provides: ${dkms:nvidia-575-server-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-575-server-open-6.14.0-28-generic (= ${binary:Version}),
+ linux-modules-nvidia-575-server-open-6.14.0-29-generic (= ${binary:Version}),
  ${nvk:nvidia-575-server-open},
 Description: Extra drivers for nvidia-575-server-open for the generic-6.14 flavour
  Install extra signed nvidia-575-server-open modules compatible with the generic-6.14 flavour.
@@ -202,7 +202,7 @@
 Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-6.14.0-28-generic-64k (= ${binary:Version}),
+ linux-modules-nvidia-535-6.14.0-29-generic-64k (= ${binary:Version}),
  ${nvk:nvidia-535},
 Description: Extra drivers for nvidia-535 for the generic-64k-6.14 flavour
  Install extra signed nvidia-535 modules compatible with the generic-64k-6.14 flavour.
@@ -214,7 +214,7 @@
 Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-open-6.14.0-28-generic-64k (= ${binary:Version}),
+ linux-modules-nvidia-535-open-6.14.0-29-generic-64k (= ${binary:Version}),
  ${nvk:nvidia-535-open},
 Description: Extra drivers for nvidia-535-open for the generic-64k-6.14 flavour
  Install extra signed nvidia-535-open modules compatible with the generic-64k-6.14 flavour.
@@ -226,7 +226,7 @@
 Provides: ${dkms:nvidia-550-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-6.14.0-28-generic-64k (= ${binary:Version}),
+ linux-modules-nvidia-550-6.14.0-29-generic-64k (= ${binary:Version}),
  ${nvk:nvidia-550},
 Description: Extra drivers for nvidia-550 for the generic-64k-6.14 flavour
  Install extra signed nvidia-550 modules compatible with the generic-64k-6.14 flavour.
@@ -238,7 +238,7 @@
 Provides: ${dkms:nvidia-550-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-open-6.14.0-28-generic-64k (= ${binary:Version}),
+ linux-modules-nvidia-550-open-6.14.0-29-generic-64k (= ${binary:Version}),
  ${nvk:nvidia-550-open},
 Description: Extra drivers for nvidia-550-open for the generic-64k-6.14 flavour
  Install extra signed nvidia-550-open modules compatible with the generic-64k-6.14 flavour.
@@ -250,7 +250,7 @@
 Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-6.14.0-28-generic-64k (= ${binary:Version}),
+ linux-modules-nvidia-570-6.14.0-29-generic-64k (= ${binary:Version}),
  ${nvk:nvidia-570},
 Description: Extra drivers for nvidia-570 for the generic-64k-6.14 flavour
  Install extra signed nvidia-570 modules compatible with the generic-64k-6.14 flavour.
@@ -262,7 +262,7 @@
 Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-open-6.14.0-28-generic-64k (= ${binary:Version}),
+ linux-modules-nvidia-570-open-6.14.0-29-generic-64k (= ${binary:Version}),
  ${nvk:nvidia-570-open},
 Description: Extra drivers for nvidia-570-open for the generic-64k-6.14 flavour
  Install extra signed nvidia-570-open modules compatible with the generic-64k-6.14 flavour.
@@ -274,7 +274,7 @@
 Provides: ${dkms:nvidia-575-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-575-6.14.0-28-generic-64k (= ${binary:Version}),
+ linux-modules-nvidia-575-6.14.0-29-generic-64k (= ${binary:Version}),
  ${nvk:nvidia-575},
 Description: Extra drivers for nvidia-575 for the generic-64k-6.14 flavour
  Install extra signed nvidia-575 modules compatible with the generic-64k-6.14 flavour.
@@ -286,7 +286,7 @@
 Provides: ${dkms:nvidia-575-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-575-open-6.14.0-28-generic-64k (= ${binary:Version}),
+ linux-modules-nvidia-575-open-6.14.0-29-generic-64k (= ${binary:Version}),
  ${nvk:nvidia-575-open},
 Description: Extra drivers for nvidia-575-open for the generic-64k-6.14 flavour
  Install extra signed nvidia-575-open modules compatible with the generic-64k-6.14 flavour.
@@ -298,5 +298,5 @@
 Provides: ${dkms:nvidia-535-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-server-6.14.0-28-generic-64k (= ${binary:Version}),
+ linux-modules-nvidia-535-server-6.14.0-29-generic-64k (= ${binary:Version}),
  ${nvk:nvidia-535-server},
