=== debian/ancillary/linux-restricted-signatures/debian/changelog ===
linux-restricted-signatures-hwe-6.14 (6.14.0-29.29~24.04.1+1) noble; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/s2025.07.14)

 -- Andy Whitcroft <apw@canonical.com>  Thu, 28 Aug 2025 21:13:06 +0100
