=== debian/control ===
--- 
+++ 
@@ -15,15 +15,13 @@
  python3,
  python3-apt,
 XSC-Ubuntu-Nvidia-Dependencies:
- nvidia-graphics-drivers-470 (= 470.256.02-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-470-server (= 470.256.02-0ubuntu0.24.04.1),
  nvidia-graphics-drivers-535 (= 535.247.01-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-535-server (= 535.247.01-0ubuntu0.24.04.3),
+ nvidia-graphics-drivers-535-server (= 535.261.03-0ubuntu0.24.04.1),
  nvidia-graphics-drivers-550 (= 550.163.01-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-570 (= 570.169-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-570-server (= 570.158.01-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-575 (= 575.64.03-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-575-server (= 575.57.08-0ubuntu0.24.04.2),
+ nvidia-graphics-drivers-570 (= 570.172.08-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-570-server (= 570.172.08-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-580 (= 580.65.06-0ubuntu0.24.04.3),
+ nvidia-graphics-drivers-580-server (= 580.65.06-0ubuntu0.24.04.1),
 Standards-Version: 3.9.4
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules/+git/noble -b hwe-6.14
 
@@ -99,29 +97,29 @@
 Description: Extra drivers for nvidia-570-open for the generic-6.14 flavour
  Install extra signed nvidia-570-open modules compatible with the generic-6.14 flavour.
 
-Package: linux-modules-nvidia-575-generic-6.14
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-575-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-575-6.14.0-29-generic (= ${binary:Version}),
- ${nvk:nvidia-575},
-Description: Extra drivers for nvidia-575 for the generic-6.14 flavour
- Install extra signed nvidia-575 modules compatible with the generic-6.14 flavour.
-
-Package: linux-modules-nvidia-575-open-generic-6.14
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-575-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-575-open-6.14.0-29-generic (= ${binary:Version}),
- ${nvk:nvidia-575-open},
-Description: Extra drivers for nvidia-575-open for the generic-6.14 flavour
- Install extra signed nvidia-575-open modules compatible with the generic-6.14 flavour.
+Package: linux-modules-nvidia-580-generic-6.14
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-580-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-580-6.14.0-29-generic (= ${binary:Version}),
+ ${nvk:nvidia-580},
+Description: Extra drivers for nvidia-580 for the generic-6.14 flavour
+ Install extra signed nvidia-580 modules compatible with the generic-6.14 flavour.
+
+Package: linux-modules-nvidia-580-open-generic-6.14
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-580-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-580-open-6.14.0-29-generic (= ${binary:Version}),
+ ${nvk:nvidia-580-open},
+Description: Extra drivers for nvidia-580-open for the generic-6.14 flavour
+ Install extra signed nvidia-580-open modules compatible with the generic-6.14 flavour.
 
 Package: linux-modules-nvidia-535-server-generic-6.14
 Build-Profiles: <!stage1>
@@ -171,29 +169,29 @@
 Description: Extra drivers for nvidia-570-server-open for the generic-6.14 flavour
  Install extra signed nvidia-570-server-open modules compatible with the generic-6.14 flavour.
 
-Package: linux-modules-nvidia-575-server-generic-6.14
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-575-server-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-575-server-6.14.0-29-generic (= ${binary:Version}),
- ${nvk:nvidia-575-server},
-Description: Extra drivers for nvidia-575-server for the generic-6.14 flavour
- Install extra signed nvidia-575-server modules compatible with the generic-6.14 flavour.
-
-Package: linux-modules-nvidia-575-server-open-generic-6.14
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-575-server-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-575-server-open-6.14.0-29-generic (= ${binary:Version}),
- ${nvk:nvidia-575-server-open},
-Description: Extra drivers for nvidia-575-server-open for the generic-6.14 flavour
- Install extra signed nvidia-575-server-open modules compatible with the generic-6.14 flavour.
+Package: linux-modules-nvidia-580-server-generic-6.14
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-580-server-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-580-server-6.14.0-29-generic (= ${binary:Version}),
+ ${nvk:nvidia-580-server},
+Description: Extra drivers for nvidia-580-server for the generic-6.14 flavour
+ Install extra signed nvidia-580-server modules compatible with the generic-6.14 flavour.
+
+Package: linux-modules-nvidia-580-server-open-generic-6.14
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-580-server-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-580-server-open-6.14.0-29-generic (= ${binary:Version}),
+ ${nvk:nvidia-580-server-open},
+Description: Extra drivers for nvidia-580-server-open for the generic-6.14 flavour
+ Install extra signed nvidia-580-server-open modules compatible with the generic-6.14 flavour.
 
 Package: linux-modules-nvidia-535-generic-64k-6.14
 Build-Profiles: <!stage1>
@@ -267,29 +265,29 @@
 Description: Extra drivers for nvidia-570-open for the generic-64k-6.14 flavour
  Install extra signed nvidia-570-open modules compatible with the generic-64k-6.14 flavour.
 
-Package: linux-modules-nvidia-575-generic-64k-6.14
-Build-Profiles: <!stage1>
-Architecture: arm64 
-Section: kernel
-Provides: ${dkms:nvidia-575-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-575-6.14.0-29-generic-64k (= ${binary:Version}),
- ${nvk:nvidia-575},
-Description: Extra drivers for nvidia-575 for the generic-64k-6.14 flavour
- Install extra signed nvidia-575 modules compatible with the generic-64k-6.14 flavour.
-
-Package: linux-modules-nvidia-575-open-generic-64k-6.14
-Build-Profiles: <!stage1>
-Architecture: arm64 
-Section: kernel
-Provides: ${dkms:nvidia-575-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-575-open-6.14.0-29-generic-64k (= ${binary:Version}),
- ${nvk:nvidia-575-open},
-Description: Extra drivers for nvidia-575-open for the generic-64k-6.14 flavour
- Install extra signed nvidia-575-open modules compatible with the generic-64k-6.14 flavour.
+Package: linux-modules-nvidia-580-generic-64k-6.14
+Build-Profiles: <!stage1>
+Architecture: arm64 
+Section: kernel
+Provides: ${dkms:nvidia-580-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-580-6.14.0-29-generic-64k (= ${binary:Version}),
+ ${nvk:nvidia-580},
+Description: Extra drivers for nvidia-580 for the generic-64k-6.14 flavour
+ Install extra signed nvidia-580 modules compatible with the generic-64k-6.14 flavour.
+
+Package: linux-modules-nvidia-580-open-generic-64k-6.14
+Build-Profiles: <!stage1>
+Architecture: arm64 
+Section: kernel
+Provides: ${dkms:nvidia-580-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-580-open-6.14.0-29-generic-64k (= ${binary:Version}),
+ ${nvk:nvidia-580-open},
+Description: Extra drivers for nvidia-580-open for the generic-64k-6.14 flavour
+ Install extra signed nvidia-580-open modules compatible with the generic-64k-6.14 flavour.
 
 Package: linux-modules-nvidia-535-server-generic-64k-6.14
 Build-Profiles: <!stage1>
@@ -300,3 +298,4 @@
  ${misc:Depends},
  linux-modules-nvidia-535-server-6.14.0-29-generic-64k (= ${binary:Version}),
  ${nvk:nvidia-535-server},
+Description: Extra drivers for nvidia-535-server for the generic-64k-6.14 flavour
