=== debian/control ===
Source: linux-restricted-modules-hwe-6.14
Section: utils
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10),
Build-Depends-Arch:
 cpio,
 curl,
 dkms,
 gawk,
 linux-headers-6.14.0-32-generic (>= 6.14.0-32.32~24.04.1) [amd64 arm64],
 linux-headers-6.14.0-32-generic-64k (>= 6.14.0-32.32~24.04.1) [arm64],
 lsb-release,
 python3,
 python3-apt,
XSC-Ubuntu-Nvidia-Dependencies:
 nvidia-graphics-drivers-470 (= 470.256.02-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-470-server (= 470.256.02-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-535 (= 535.247.01-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-535-server (= 535.247.01-0ubuntu0.24.04.3),
 nvidia-graphics-drivers-550 (= 550.163.01-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-570 (= 570.169-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-570-server (= 570.158.01-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-575 (= 575.64.03-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-575-server (= 575.57.08-0ubuntu0.24.04.2),
Standards-Version: 3.9.4
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules/+git/noble -b hwe-6.14

Package: linux-modules-nvidia-535-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-535-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-535},
Description: Extra drivers for nvidia-535 for the generic-6.14 flavour
 Install extra signed nvidia-535 modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-535-open-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-535-open-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-535-open},
Description: Extra drivers for nvidia-535-open for the generic-6.14 flavour
 Install extra signed nvidia-535-open modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-550-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-550-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-550-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-550},
Description: Extra drivers for nvidia-550 for the generic-6.14 flavour
 Install extra signed nvidia-550 modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-550-open-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-550-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-550-open-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-550-open},
Description: Extra drivers for nvidia-550-open for the generic-6.14 flavour
 Install extra signed nvidia-550-open modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-570-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-570-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-570},
Description: Extra drivers for nvidia-570 for the generic-6.14 flavour
 Install extra signed nvidia-570 modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-570-open-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-570-open-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-570-open},
Description: Extra drivers for nvidia-570-open for the generic-6.14 flavour
 Install extra signed nvidia-570-open modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-575-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-575-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-575-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-575},
Description: Extra drivers for nvidia-575 for the generic-6.14 flavour
 Install extra signed nvidia-575 modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-575-open-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-575-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-575-open-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-575-open},
Description: Extra drivers for nvidia-575-open for the generic-6.14 flavour
 Install extra signed nvidia-575-open modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-535-server-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-535-server-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-535-server-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-535-server},
Description: Extra drivers for nvidia-535-server for the generic-6.14 flavour
 Install extra signed nvidia-535-server modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-535-server-open-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-535-server-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-535-server-open-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-535-server-open},
Description: Extra drivers for nvidia-535-server-open for the generic-6.14 flavour
 Install extra signed nvidia-535-server-open modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-570-server-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-570-server-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-570-server-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-570-server},
Description: Extra drivers for nvidia-570-server for the generic-6.14 flavour
 Install extra signed nvidia-570-server modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-570-server-open-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-570-server-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-570-server-open-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-570-server-open},
Description: Extra drivers for nvidia-570-server-open for the generic-6.14 flavour
 Install extra signed nvidia-570-server-open modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-575-server-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-575-server-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-575-server-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-575-server},
Description: Extra drivers for nvidia-575-server for the generic-6.14 flavour
 Install extra signed nvidia-575-server modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-575-server-open-generic-6.14
Build-Profiles: <!stage1>
Architecture: amd64 arm64 
Section: kernel
Provides: ${dkms:nvidia-575-server-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-575-server-open-6.14.0-32-generic (= ${binary:Version}),
 ${nvk:nvidia-575-server-open},
Description: Extra drivers for nvidia-575-server-open for the generic-6.14 flavour
 Install extra signed nvidia-575-server-open modules compatible with the generic-6.14 flavour.

Package: linux-modules-nvidia-535-generic-64k-6.14
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-535-6.14.0-32-generic-64k (= ${binary:Version}),
 ${nvk:nvidia-535},
Description: Extra drivers for nvidia-535 for the generic-64k-6.14 flavour
 Install extra signed nvidia-535 modules compatible with the generic-64k-6.14 flavour.

Package: linux-modules-nvidia-535-open-generic-64k-6.14
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-535-open-6.14.0-32-generic-64k (= ${binary:Version}),
 ${nvk:nvidia-535-open},
Description: Extra drivers for nvidia-535-open for the generic-64k-6.14 flavour
 Install extra signed nvidia-535-open modules compatible with the generic-64k-6.14 flavour.

Package: linux-modules-nvidia-550-generic-64k-6.14
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-550-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-550-6.14.0-32-generic-64k (= ${binary:Version}),
 ${nvk:nvidia-550},
Description: Extra drivers for nvidia-550 for the generic-64k-6.14 flavour
 Install extra signed nvidia-550 modules compatible with the generic-64k-6.14 flavour.

Package: linux-modules-nvidia-550-open-generic-64k-6.14
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-550-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-550-open-6.14.0-32-generic-64k (= ${binary:Version}),
 ${nvk:nvidia-550-open},
Description: Extra drivers for nvidia-550-open for the generic-64k-6.14 flavour
 Install extra signed nvidia-550-open modules compatible with the generic-64k-6.14 flavour.

Package: linux-modules-nvidia-570-generic-64k-6.14
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-570-6.14.0-32-generic-64k (= ${binary:Version}),
 ${nvk:nvidia-570},
Description: Extra drivers for nvidia-570 for the generic-64k-6.14 flavour
 Install extra signed nvidia-570 modules compatible with the generic-64k-6.14 flavour.

Package: linux-modules-nvidia-570-open-generic-64k-6.14
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-570-open-6.14.0-32-generic-64k (= ${binary:Version}),
 ${nvk:nvidia-570-open},
Description: Extra drivers for nvidia-570-open for the generic-64k-6.14 flavour
 Install extra signed nvidia-570-open modules compatible with the generic-64k-6.14 flavour.

Package: linux-modules-nvidia-575-generic-64k-6.14
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-575-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-575-6.14.0-32-generic-64k (= ${binary:Version}),
 ${nvk:nvidia-575},
Description: Extra drivers for nvidia-575 for the generic-64k-6.14 flavour
 Install extra signed nvidia-575 modules compatible with the generic-64k-6.14 flavour.

Package: linux-modules-nvidia-575-open-generic-64k-6.14
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-575-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-575-open-6.14.0-32-generic-64k (= ${binary:Version}),
 ${nvk:nvidia-575-open},
Description: Extra drivers for nvidia-575-open for the generic-64k-6.14 flavour
 Install extra signed nvidia-575-open modules compatible with the generic-64k-6.14 flavour.

Package: linux-modules-nvidia-535-server-generic-64k-6.14
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-535-server-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-535-server-6.14.0-32-generic-64k (= ${binary:Version}),
 ${nvk:nvidia-535-server},
